Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234734 - Less than optimal minimal counter values
Summary: Less than optimal minimal counter values
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: oprofile
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Cohen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-01 02:35 UTC by Ulrich Drepper
Modified: 2008-05-07 01:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:23:51 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2007-04-01 02:35:08 UTC
Description of problem:
For several counters the required minimal values are too high.  This limits the
resolution and hence usefulness.

Version-Release number of selected component (if applicable):
oprofile-0.9.2-8.fc7

How reproducible:
always

Steps to Reproduce:
1.opcontrol --list-events
2.
3.
  
Actual results:
[...]
BR_INST_EXEC: (counter: all)
        Branch instructions executed (not necessarily retired) (min count: 3000)
BR_MISSP_EXEC: (counter: all)
        Branch instructions executed that were mispredicted at execution (min
count: 3000)
BR_BAC_MISSP_EXEC: (counter: all)
        Branch instructions executed that were mispredicted at Front End (BAC)
(min count: 3000)
BR_CND_EXEC: (counter: all)
        Conditional Branch instructions executed (min count: 3000)
BR_CND_MISSP_EXEC: (counter: all)
        Conditional Branch instructions executed that were mispredicted (min
count: 3000)


Expected results:
BR_INST_EXEC: (counter: all)
        Branch instructions executed (not necessarily retired) (min count: 3000)
BR_MISSP_EXEC: (counter: all)
        Branch instructions executed that were mispredicted at execution (min
count: 500)
BR_BAC_MISSP_EXEC: (counter: all)
        Branch instructions executed that were mispredicted at Front End (BAC)
(min count: 500)
BR_CND_EXEC: (counter: all)
        Conditional Branch instructions executed (min count: 3000)
BR_CND_MISSP_EXEC: (counter: all)
        Conditional Branch instructions executed that were mispredicted (min
count: 500)


Additional info:
It might be that 3000 is OK for the BR_*_EXEC counters.  But mispredictions are
less frequent and therefore a higher resolution (500 is proposed here) for the
BR_*_MISS* counters is better.

I might have more proposals which I'll add here.

Comment 1 Bug Zapper 2008-04-03 23:53:13 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Bug Zapper 2008-05-07 01:23:49 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.